let cur_id = 1;

let button = document.getElementsByTagName("button")[0];

function createGameSection(data)
{
    console.log(data);

    const p_name = document.createElement("h2");
    p_name.innerText = data.name;

    const p_desc = document.createElement("p");
    p_desc.innerText = data.description;

    const image = document.createElement("img");
    image.src = "/public/uploads/" + data.image;

    const article = document.createElement("article");
    article.appendChild(p_name);
    article.appendChild(p_desc);
    article.appendChild(image);

    return article;
}

async function onAddGames(e)
{
    const response_count = 3;

    for (let i = 0; i < response_count; ++i) {
        const response = await fetch("/assets/actions/gameServer.php?q=" + cur_id);

        const data = await response.json();

        if (data == null) {
            button.remove();
            break;
        }

        document.getElementsByTagName("section")[0].appendChild(createGameSection(data));
        ++cur_id;
    }
}

button.addEventListener("click", onAddGames);
window.addEventListener("load", onAddGames);
/**
 * ajouter une fonction pour charger, avec ajax, les trois premiers jeux de la base de données : /assets/db/database.sqlite (API = /assets/actions/gameServer.php). Ensuite les insérer dans le DOM, dans main > section du fichier index.php. (3 points)
 * ajouter une fonction pour charger, en ajax, la quantité totale de jeux dans la base ( API = /assets/actions/gameTableSize.php). (3 points)
 * ajouter un événement sur le bouton "Load more" pour lancer la fonction créée au premier point. (1 point)
 */
